package com.fp.webservices.snap.seguridad;

import com.fp.webservices.snap.seguridad.DatosHeader;
import com.fp.webservices.snap.seguridad.HeaderHandler;
import java.util.ArrayList;
import java.util.List;
import javax.xml.ws.handler.Handler;
import javax.xml.ws.handler.HandlerResolver;
import javax.xml.ws.handler.PortInfo;

public class HeaderHandlerResolver
        implements HandlerResolver {

    private DatosHeader headerData = new DatosHeader();

    public HeaderHandlerResolver(DatosHeader HeaderList) {
        this.headerData.setDigest(HeaderList.getDigest());
        this.headerData.setNonce(HeaderList.getNonce());
        this.headerData.setFecha(HeaderList.getFecha());
        this.headerData.setFechaf(HeaderList.getFechaf());
        this.headerData.setUsuario(HeaderList.getUsuario());
    }

    public List<Handler> getHandlerChain(PortInfo portInfo) {
        List<Handler> handlerChain = new ArrayList<Handler>();

        HeaderHandler hh = new HeaderHandler(this.headerData);

        handlerChain.add(hh);

        return handlerChain;
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/com/fp/webservices/snap/seguridad/HeaderHandlerResolver.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
